Ident(1.8)

NAME
Ident - the AfterStep window identification module

SYNOPSIS
Ident [-f config_file] [-v | --version] [-h | --help] [-w | --window window_id]

Although Ident can be run from the command line, it is normally spawned by afterstep from within an afterstep menu file by 'Ident':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Ident"
	Module "Ident" Ident
	MiniPixmap "mini-as.xpm"
To stop the Ident module, a menu item can be used:

% cat "~/GNUstep/Library/AfterStep/start/Modules/Ident_Stop"
	KillModuleByName "Stop Ident" Ident
	MiniPixmap "mini-as.xpm"
(although Ident can simply be closed by using the Close button on the TitleBar, which will stop the Ident Module).

DESCRIPTION
The Ident module prompts the user to select a target window, if the module was not launched from within a window context in AfterStep. After that, the Ident module pops up a window with information about the window which was selected.

OPTIONS

-f config_file
    Use config_file instead of the default configuration file.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

-w | --window
    Specifies the X resource id of the window about which information should be displayed.

INITIALIZATION
During initialization, Ident will search a configuration file which describes the colors and font to use. This file will be the one specified by the -f option (if given). Else, the ~/GNUstep/Library/AfterStep/ident file will be used if it exists. Else, /usr/local/share/afterstep/ident will be used. If the Ident executable is linked to another name, ie 'ln -s Ident OtherIdentify', then another module called OtherIdentify can be started, with a completely different set of configurations than Ident, simply by adding *OtherIdentify options following the same *Identify configuration options below to the ident file. This way multiple Identify programs can be used.

INVOCATION
Ident can be invoked from a menu item as shown in the Synopsis section above, or by binding the action 'Module Ident' to a key-stroke in the feel file. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Ident. Although nothing keeps you from launching Ident at start-up time, you probably don't want to.

CONFIGURATION OPTIONS
Ident reads the ident file when it starts up, and looks for its configuration options:

*IdentFore color
    Tells the module to use color instead of black for text.

*IdentBack color
    Tells the module to use color instead of black for the window background.

*IdentFont fontname
    Tells the module to use fontname instead of fixed for text.

AUTHOR
Robert Nation Nobutaka Suzuki <nobuta-s@is.aist-nara.ac.jp>
David Mihm <dmihm@swbell.net> [Man page]

SEE ALSO
afterstep(1)